<script setup>
	import {
		ref,
        onBeforeMount
	} from 'vue'
	import {
		useI18n
	} from "vue-i18n";
	import zhContent from '~/pages/protocol/components/privacy-policy/zh-page.vue';
import enContent from '~/pages/protocol/components/privacy-policy/en-page.vue';
	import langToCheck from '@/hook/lang.js';    
    const {
    	t
    } = useI18n();
	const langIs = ref('')
    useHead({
      title: t('foot.privacy-policy'),
    })
    onBeforeMount(()=>{
        langIs.value = langToCheck()
    })
</script>

<template>
	<div>		
		<zh-content v-if="langIs == 'zh-Hans' "></zh-content>
		<ja-content v-else-if="langIs == 'ja' "></ja-content>
		<en-content v-else></en-content>
	</div>
</template>

